ข้ามไปยังเนื้อหา
เดโมสด

เนื้อหา

Airports (IATA), optionally filtered by a free-text term or a country.

get/v1/content/airports

  • ต้องยืนยันตัวตน

พารามิเตอร์

ชื่อตำแหน่งชนิดคำอธิบาย
qคิวรีstring
countryคิวรีstring
pageคิวรีinteger (int32)
pageSizeคิวรีinteger (int32)

การตอบกลับ

200OKAirportItemPagedList

  • AirportItem[]
    • iatastring
    • namestringเป็น null ได้
    • cityCodestringเป็น null ได้
    • cityNamestringเป็น null ได้
    • countryCodestringเป็น null ได้
  • pageinteger (int32)
  • pageSizeinteger (int32)
  • totalinteger (int32)

ตัวอย่างโค้ด

โปรแกรมสมบูรณ์ที่ลงนามคำขอแบบเดียวกับที่เกตเวย์ใช้ตรวจสอบ แทนที่ YOUR_KEY_ID และ YOUR_SECRET

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/airports\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/content/airports" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"